"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.maskToken = exports.hashToken = void 0;
const crypto_1 = __importDefault(require("crypto"));
function hashToken(token) {
    const shasum = crypto_1.default.createHash('sha256');
    shasum.update(token);
    return shasum.digest('hex');
}
exports.hashToken = hashToken;
function maskToken(token) {
    if (!token || token === '') {
        return '';
    }
    return token.slice(0, 4) + '-...-' + token.slice(-4);
}
exports.maskToken = maskToken;
//# sourceMappingURL=token.js.map